import os
import arcpy
import sys

# 2. NIS to import attribute rules to
nis = r'C:\M\data\migrate\2series\NIS.gdb'
attribute_rules_path = r'C:\M\data\migrate\temp'

# list of all possible feature classes inside the Nautical dataset in ENC, AML, and IENC (actually, equivalent to FCs in ENC + these 3 from AML ['IceFeaturesL', 'MilitaryFeaturesL', 'IceFeaturesP'])
feature_classes = ['RegulatedAreasAndLimitsP', 'TracksAndRoutesP', 'TracksAndRoutesL', 'TracksAndRoutesA', 'CulturalFeaturesL', 'CulturalFeaturesA', 'CulturalFeaturesP', 'TidesAndVariationsL', 'NaturalFeaturesP', 'TidesAndVariationsA', 'IceFeaturesP', 'NaturalFeaturesA', 'DepthsA', 'NaturalFeaturesL', 'TidesAndVariationsP', 'SoundingsP', 'DangersP', 'DepthsL', 'PLTS_SpatialAttributeL', 'CoastlineP', 'OffshoreInstallationsP', 'CoastlineL', 'DangersL', 'DangersA', 'CoastlineA', 'UserDefinedFeaturesP', 'MilitaryFeaturesP', 'MilitaryFeaturesL', 'UserDefinedFeaturesA', 'AidsToNavigationP', 'UserDefinedFeaturesL', 'MilitaryFeaturesA', 'MetaDataL', 'OffshoreInstallationsL', 'OffshoreInstallationsA', 'MetaDataA', 'RegulatedAreasAndLimitsL', 'MetaDataP', 'RegulatedAreasAndLimitsA', 'IceFeaturesL', 'SeabedP', 'PortsAndServicesL', 'PortsAndServicesA', 'SeabedA', 'IceFeaturesA', 'PortsAndServicesP', 'SeabedL']

print("\t\t Importing attribute rules to NIS {}".format(nis))
arcpy.env.workspace = nis
arcpy.env.overwriteOutput = True
for fc in feature_classes:
    csv_file_path = os.path.join(attribute_rules_path, fc + '.csv')
    if(arcpy.Exists(os.path.join(nis, fc)) and os.path.exists(csv_file_path)):
        # This tool will only import rules that do not already exist for the dataset, it will not update existing rules.
        # Not sure if it honors arcpy.env.overwriteOutput setting
        # So if the rule by same name exists it has to be deleted first. Unfortunately I couldn't find any arcpy function
        # to list existing rules for a feature class.
        arcpy.management.ImportAttributeRules(fc, csv_file_path)
        print("\t\t\t{}".format(fc))