@echo OFF

setlocal EnableExtensions
setlocal EnableDelayedExpansion

pushd "%~dp0"

if not defined in_subprocess (cmd /k set in_subprocess=y ^& %0 %*) & exit)

set key="HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\Esri\ArcGIS"
for /F "usebackq skip=2 tokens=3*" %%A in (`REG QUERY %key% /v RealVersion`) do (
	set RealVersion=%%A
)

if defined RealVersion (
	set Version=%RealVersion:~0,4%
) else (
    @echo Unable to find ArcGIS installation!
	@echo Run the script manually.
	exit /b 1
)

set key="HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\Esri\Python!Version!"
for /F "usebackq skip=2 tokens=3*" %%A in (`REG QUERY %key% /v PythonDir`) do (
	set PythonDir=%%A
)

if not defined PythonDir (
    @echo Unable to find python installation!
	@echo Run the script manually.
	exit /b 1
)

set PythonExe=!PythonDir!ArcGIS!Version!\python.exe

@echo ON
%PythonExe% migrate.py
@echo OFF

