# sample script to register maritime class extension to a feature class.
from com_utils import *
import arcpy

nis = r'M:\test\test.gdb'
SetArcMapInstallDir(GetArcMapInstallDir_AutoDetect())

# feature_classes = arcpy.ListFeatureClasses(feature_dataset='Nautical')

# list of all possible feature classes inside the Nautical dataset in ENC, AML, and IENC (actually, equivalent to FCs in ENC + these 3 from AML ['IceFeaturesL', 'MilitaryFeaturesL', 'IceFeaturesP'])
feature_classes = ['RegulatedAreasAndLimitsP', 'TracksAndRoutesP', 'TracksAndRoutesL', 'TracksAndRoutesA', 'CulturalFeaturesL', 'CulturalFeaturesA', 'CulturalFeaturesP', 'TidesAndVariationsL', 'NaturalFeaturesP', 'TidesAndVariationsA', 'IceFeaturesP', 'NaturalFeaturesA', 'DepthsA', 'NaturalFeaturesL', 'TidesAndVariationsP', 'SoundingsP', 'DangersP', 'DepthsL', 'PLTS_SpatialAttributeL', 'CoastlineP', 'OffshoreInstallationsP', 'CoastlineL', 'DangersL', 'DangersA', 'CoastlineA', 'UserDefinedFeaturesP', 'MilitaryFeaturesP', 'MilitaryFeaturesL', 'UserDefinedFeaturesA', 'AidsToNavigationP', 'UserDefinedFeaturesL', 'MilitaryFeaturesA', 'MetaDataL', 'OffshoreInstallationsL', 'OffshoreInstallationsA', 'MetaDataA', 'RegulatedAreasAndLimitsL', 'MetaDataP', 'RegulatedAreasAndLimitsA', 'IceFeaturesL', 'SeabedP', 'PortsAndServicesL', 'PortsAndServicesA', 'SeabedA', 'IceFeaturesA', 'PortsAndServicesP', 'SeabedL']
feature_classes.extend(['EditingProperties', 'ProductCoverage', 'ProductDefinitions', 'ProductExports', 'PLTS_COLLECTIONS', 'PLTS_FREL'])
feature_classes = [fc for fc in feature_classes if arcpy.Exists(os.path.join(nis, fc))]

# register maritime class extension
print("\t\t Registering maritime class extension ")
for fc in feature_classes:
    pTable = OpenTable(nis, fc)
    RegisterMaritimeClassExtension(pTable)
print('\t\tdone')